use std::path::Path;
use camino::Utf8PathBuf;
use egui::ahash::HashMap;
use serde::{Deserialize, Serialize};


#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Config {
    arma: ConfigArma3,
}

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct ConfigArma3 {
    env: Vec<(String, String)>,
    args: Vec<String>,
    steam_library_path: Utf8PathBuf,
}

impl Config {
    pub fn parse(path: &Path) -> anyhow::Result<Self> {
        let s = std::fs::read_to_string(path)?;
        Ok(toml::from_str(&s)?)
    }
}
